Update manager/notifier tells me to reboot before it's finished

Bug #22948 reported by Thomas M. Hinkle on 2005-10-01
10
Affects Status Importance Assigned to Milestone
update-notifier (Ubuntu)
Medium
Michael Vogt

Bug Description

My story:
1. Update-notifier tells me there are new updates available. Yeah!
2. I go ahead and upgrade. Upgrade manager is updating.
3. I notice a neat lightbulb icon that tells me there is "post-update"
information available for me to view.
4. I click on the icon. Nothing obvious happens.
5. I ALT-TAB around and see there is a dialog from the Update Manager -- this
must be the information!
6. I read the information: it tells me that I should reboot after the update, as
soon as possible.
7. I start thinking about shutting down my running apps and rebooting when I
realize that the update manager is still working.

I think telling the user to reboot as soon as possible is a pretty explicit
direction. My assumption is that it would be pretty bad to reboot in the middle
of doing an installatino -- it'd probably require dpkg-reconfigure -a or some
such to recover from, no? Anyway, I didn't do it, so disaster averted... but we
should really put off the post-installation updates until post-installation (and
post-configuration &c.).

Dennis Kaarsemaker (dennis) wrote :

Confirmed. Maybe the notifier should also respect the apt lock and not display
notifications while it can't lock this lock.

Michael Vogt (mvo) wrote :

Thanks for your bugreport.

This is fixed in my local tree and will be part of the next upload.

I also have a problem with the update manager notifying me that a new kernel has
been installed, and that I should reboot to pick it up. Since last nights
updates to Colony5, it now tells me this everytime I boot up and login! :-(

If this is this something that you can address as part of this bug, then please
do, if not, please let me know so I can raise a new bug for it.

Cheers,
Mark

Michael Vogt (mvo) wrote :

(In reply to comment #3)
> I also have a problem with the update manager notifying me that a new kernel has
> been installed, and that I should reboot to pick it up. Since last nights
> updates to Colony5, it now tells me this everytime I boot up and login! :-(

Could you please let me know what version of update-notifier you run? Run (in a
terminal):
$ dpkg -l update-notifier
(or use synaptic).

It tells you it even if you open the notification and close the window again?
Does the little lightbulb goes away then? And reappear on reboot/relogin?

> If this is this something that you can address as part of this bug, then please
> do, if not, please let me know so I can raise a new bug for it.

There has been some fixing for the hook stuff in update-notifier 0.40.12, I
would be interessted if you see this problem with that version too (make sure
that you login/logout after you installed the updated version).

If the problem persists, I would be interessted in your .xsession-errors file.

rubinstein (rubinstein) wrote :

Hi, I (and others, see http://www.ubuntuforums.org/showthread.php?t=72100) can
confirm this behaviour. Everytime I start the desktop, I see the light bulb
icon, but I haven't had any updates and already restarted with the new kernel.

Message is
---
Linux Kernel

User interaction required! A new version of the Linux kernel has just been
installed. We strongly recommend that your machine is restarted as soon as
possible to complete the system update.
---

Closing it makes it go away, until you reboot again.

I queried dpkg, here's the result:
 update-notifie 0.40.12

Do you want the whole xsession errors log, or are there particular lines (a grep
query e.g.) you would be interested in?

Michael Vogt (mvo) wrote :

(In reply to comment #6)
> Message is
> ---
> Linux Kernel
>
> User interaction required! A new version of the Linux kernel has just been
> installed. We strongly recommend that your machine is restarted as soon as
> possible to complete the system update.
> ---
>
> Closing it makes it go away, until you reboot again.
>
> I queried dpkg, here's the result:
> update-notifie 0.40.12
>
> Do you want the whole xsession errors log, or are there particular lines (a grep
> query e.g.) you would be interested in?

Your complete .xsession file please. And the output of:
$ ls -alR /var/lib/update-notifier/user.d
and your ~/.update-notifier/hooks_seen file as well.

Do you use anything "unusual" on your system? E.g. a uncommon filesystem?
Problems with the clock maybe?

Could you please please check the updated version in
http://people.ubuntu.com/~mvo/update-notifier/?

rubinstein (rubinstein) wrote :

When I booted this morning, I have exactly the same message as in comment #6. I
did not make any update before. And I use ext3 and the clock is also normal.

ph@ubuntu:~$ ls -alR /var/lib/update-notifier/user.d
/var/lib/update-notifier/user.d:
insgesamt 28
drwxr-xr-x 2 root root 4096 2005-10-05 09:19 .
drwxr-xr-x 3 root root 4096 2005-09-09 15:23 ..
-rw-r--r-- 1 root root 257 2005-09-16 00:52 notification-2.6.12-8-386
-rw-r--r-- 1 root root 257 2005-09-16 00:53 notification-2.6.12-8-686
-rw-r--r-- 1 root root 283 2005-10-04 20:58 notification-2.6.12-9-386
-rw-r--r-- 1 root root 283 2005-10-04 20:59 notification-2.6.12-9-686
-rw-r--r-- 1 root root 281 2005-10-03 19:34 reboot-hook
ph@ubuntu:~$

hooks_seen file:
notification-2.6.12-8-386 1127245007 0
notification-2.6.12-8-686 1127245012 0
dbus-reboot 1127307173 0
notification-2.6.12-9-386 1127785715 0
notification-2.6.12-9-686 1127785791 0
reboot-hook 1128360880 0

rubinstein (rubinstein) wrote :

Created an attachment (id=4380)
xsession-errors

rubinstein (rubinstein) wrote :

I made a update to 0.40.13, but no change.

Michael Vogt (mvo) wrote :

The "shows-during-install" problem should be fixed now (in breezy). The
"shows-hooks-to-reboot-all-the-time" problem is fixed in breezy as well (a new
0.40.13 version was uploaded).

Please let me know if the breezy version dosn't fix the bug for you (you may
have to logout/login once so that the new update-notifier gets started).

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Bug attachments

Remote bug watches

Bug watches keep track of this bug in other bug trackers.